#include <QMouseEvent>
#include "mylabel.h"

MyLabel::MyLabel(const QString &text, QWidget *parent, Qt::WindowFlags f) :
    QLabel(text, parent, f)
{
}

void MyLabel::mousePressEvent ( QMouseEvent * event )
{
    QPoint xy = mapToGlobal(QPoint(0,0));
    // mouse press relative position
    relative_x = event->globalPos().x() - xy.x();
    relative_y = event->globalPos().y() - xy.y();

    QLabel::mousePressEvent(event);
}

void MyLabel::mouseMoveEvent ( QMouseEvent * event )
{
    // move the widget and cursor so that the cursor's relative position does not change
    move(QPoint(event->globalPos().x() - relative_x, event->globalPos().y() - relative_y));
    QCursor::setPos(event->globalPos());
}

void MyLabel::mouseReleaseEvent ( QMouseEvent * /*event*/ )
{
    emit mouseReleasedForTabWidget();
}

